Skip to main content
PATCH
/
v1
/
asset
/
enumerate
/
{enumerate_id}
/
config
Update enumeration config
curl --request PATCH \
  --url https://api.projectdiscovery.io/v1/asset/enumerate/{enumerate_id}/config \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "name": "<string>",
  "root_domains": [
    "<string>"
  ],
  "enrichment_inputs": [
    "<string>"
  ],
  "steps": [],
  "enum_ports": "<string>",
  "enumeration_config": {
    "follow-redirect": true,
    "ports": "<string>"
  },
  "alerting_config_ids": [
    "<string>"
  ],
  "subfinder_config_ids": [
    "<string>"
  ],
  "exclusions": [
    "<string>"
  ],
  "automatic_vuln_scans": true
}
'
import requests

url = "https://api.projectdiscovery.io/v1/asset/enumerate/{enumerate_id}/config"

payload = {
"name": "<string>",
"root_domains": ["<string>"],
"enrichment_inputs": ["<string>"],
"steps": [],
"enum_ports": "<string>",
"enumeration_config": {
"follow-redirect": True,
"ports": "<string>"
},
"alerting_config_ids": ["<string>"],
"subfinder_config_ids": ["<string>"],
"exclusions": ["<string>"],
"automatic_vuln_scans": True
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
root_domains: ['<string>'],
enrichment_inputs: ['<string>'],
steps: [],
enum_ports: '<string>',
enumeration_config: {'follow-redirect': true, ports: '<string>'},
alerting_config_ids: ['<string>'],
subfinder_config_ids: ['<string>'],
exclusions: ['<string>'],
automatic_vuln_scans: true
})
};

fetch('https://api.projectdiscovery.io/v1/asset/enumerate/{enumerate_id}/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "message": "<string>"
}
{
"message": "<string>",
"kind": "<string>",
"code": "<string>",
"error": "<string>",
"error_id": "<string>",
"param": "<string>",
"status": 123
}
{
"message": "<string>",
"kind": "<string>",
"code": "<string>",
"error": "<string>",
"error_id": "<string>",
"param": "<string>",
"status": 123
}
{
"message": "<string>",
"kind": "<string>",
"code": "<string>",
"error": "<string>",
"error_id": "<string>",
"param": "<string>",
"status": 123
}
{
"message": "<string>",
"kind": "<string>",
"code": "<string>",
"error": "<string>",
"error_id": "<string>",
"param": "<string>",
"status": 123
}

Authorizations

X-API-Key
string
header
required

Headers

X-Team-Id
string

Path Parameters

enumerate_id
string
required

Query Parameters

update_type
enum<string>

default mode is append

Available options:
append,
replace

Body

application/json

Shared Request

name
string
root_domains
string[]
enrichment_inputs
string[]
steps
enum<string>[]
Available options:
dns_resolve,
dns_bruteforce,
dns_permute,
port_scan,
http_probe,
http_screenshot,
endpoint_crawling,
dns_passive,
tls_scan,
uncover_assets,
dns_scraping
enum_ports
string
enumeration_config
EnumerationLaunchConfig · object
alerting_config_ids
string[]
subfinder_config_ids
string[]
exclusions
string[]

Combined inclusion (prefixed with +) and exclusion patterns for discovery scope

automatic_vuln_scans
boolean

Response

Example response

message
string
required